Return pump information on all pumps of the gas station

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developer.pace.cloud/doc/fueling/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"Fueling MCP server": {
  "url": "https://developer.pace.cloud/doc/fueling/mcp"
}
Close
GET /gas-stations/{gasStationId}/pumps

Returns the current pump status (free, inUse, readyToPay, outOfOrder, locked) and identifier. If the status is readyToPay, the result also contains fuelType, productName, fuelAmount, VAT (amount & rate), priceWithoutVAT, priceIncludingVAT, currency.

Only use after approaching, otherwise returns 403 Forbidden.

Path parameters

  • gasStationId string(uuid) Required

    Gas station ID

Responses

  • 200 application/vnd.api+json

    OK

    Hide response attributes Show response attributes object
    • data object
      Hide data attributes Show data attributes object
      • type string

        Value is getPumps.

      • id string(uuid)

        request ID

      • relationships object
        Hide relationships attribute Show relationships attribute object
        • pumps object
          Hide pumps attribute Show pumps attribute object
          • data array[object]
            Hide data attributes Show data attributes object
            • type string

              Value is pump.

            • id string(uuid)

              Pump ID

    • included array[object]
      Hide included attributes Show included attributes object
      • type string

        Type

        Value is pump.

      • id string(uuid)

        Pump ID

      • attributes object
        Hide attributes attributes Show attributes attributes object
        • identifier string

          Pump identifier

        • fuelingProcess string

          The fueling process that has to be followed

          • postPay the pump is free and needs to be paid after fueling
          • preAuth the pump is locked and has to be unlocked
          • preAuthWithFuelType the pump is locked and has to be unlocked, the carFuelType is required

          Values are postPay, preAuth, or preAuthWithFuelType.

        • status string

          Current pump status.

          • free the pump is free, fueling possible (nozzle not lifted), possible transitions inUse, locked, outOfOrder. Note: A transition from free to locked may implies the pump was pre-authorization was canceled.
          • inUse the pump is fueling, possible transitions readyToPay, locked, outOfOrder
          • readyToPay the pump can be payed using the post pay process, possible transitions free, locked, outOfOrder. Note: A transition from readyToPay to free implies the pump was paid.
          • locked the pump required a pre-authorization, possible transitions free, inTransaction, outOfOrder. Note: A transition from locked to free implies the pre-authorization was successful.
          • inTransaction the pump is in use by another user using the pre-authorization process, possible transitions locked, outOfOrder
          • outOfOrder the pump has a technical problem, this can only be resolved by the gas station staff on site, possible transitions free, locked. Note: The customer has to pay in the shop

          Values are free, inUse, readyToPay, locked, inTransaction, or outOfOrder.

        • fuelType string
        • productName string
        • fuelAmount number(decimal)

          Fuel amount in units

        • pricePerUnit number(decimal)

          Fuel price in currency/unit

        • unit string

          Fuel measurement unit. Eg: liter, us-gallon, uk-gallon, kilogram

        • VAT object
          Hide VAT attributes Show VAT attributes object
          • amount number(decimal)
          • rate number(decimal)
        • purposePRNs array[string]

          Only if status is locked or readyToPay: PRNs required for creating a token for payment at this gas station

        • priceWithoutVAT number(decimal)
        • priceIncludingVAT number(decimal)
        • currency string

          Currency as specified in ISO-4217.

          Format should match the following pattern: ^[A-Z]{3}$.

        • transactionId string(uuid)

          Provided if the user pre-authorized the pump

        • transaction object
          Hide transaction attributes Show transaction attributes object
          • type string

            Value is transaction.

          • id string(uuid)

            Transaction ID

          • attributes object
            Hide attributes attributes Show attributes attributes object
            • status string
            • authorizedAmount number(decimal)
            • PumpUUID string(uuid)

              UUID of the pump this transaction was created on

            • VAT object
              Hide VAT attributes Show VAT attributes object
              • amount number(decimal)
              • rate number(decimal)
            • priceWithoutVAT number(decimal)
            • priceIncludingVAT number(decimal)
            • currency string

              Currency as specified in ISO-4217.

              Format should match the following pattern: ^[A-Z]{3}$.

            • pricePerUnit number(decimal)
            • unit string

              Fuel measurement unit. Eg: liter, us-gallon, uk-gallon, kilogram

            • fuelType string
            • fuelAmount number(decimal)
            • productName string
            • paymentToken string
            • paymentTokenRestrictions array[string]

              PRNs describing the restrictions (station and fuel types) for a token, if a token is provided

        • availableProducts array[object]

          Only if status is locked: available fuel products at the given pump

          Hide availableProducts attributes Show availableProducts attributes object
          • type string
          • name string
  • 401 application/vnd.api+json

    OAuth token missing or invalid or a linked identity is missing.

    Linked identity missing is a special case where you need to make sure that the user has additionally logged in / authorized with a third-party.

    This is not relevant for most use-cases.

    The specific error code that identifies a missing linked identity is missing-linked-identity

    Example:

      {
          "errors": [
              {
                  "id": "cbgmhslmp1o9or9kh1p0",
                  "title": "Missing linked identity for authorized access",
                  "detail": "Linked identity is needed to access this resource, please check why the user does not have a linked identity",
                  "status": "401",
                  "code": "missing-linked-identity"
              }
          ]
      }
    
    Hide response attribute Show response attribute object
    • errors array[object]
      Hide errors attributes Show errors attributes object
      • id string

        A unique identifier for this particular occurrence of the problem.

      • status string

        the HTTP status code applicable to this problem, expressed as a string value.

      • code string

        an application-specific error code, expressed as a string value.

      • title string

        A short, human-readable summary of the problem that SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization.

      • detail string

        a human-readable explanation specific to this occurrence of the problem. Like title, this field’s value can be localized.

      • source object

        An object containing references to the source of the error.

        Hide source attributes Show source attributes object
        • pointer string

          A JSON Pointer [RFC6901] to the associated entity in the request document [e.g. "/data" for a primary data object, or "/data/attributes/title" for a specific attribute].

        • parameter string

          A string indicating which URI query parameter caused the error.

      • meta object

        a meta object containing non-standard meta-information about the error.

        Additional properties are allowed.

  • 403 application/vnd.api+json

    Forbidden

    Hide response attribute Show response attribute object
    • errors array[object]
      Hide errors attributes Show errors attributes object
      • id string

        A unique identifier for this particular occurrence of the problem.

      • status string

        the HTTP status code applicable to this problem, expressed as a string value.

      • code string

        an application-specific error code, expressed as a string value.

      • title string

        A short, human-readable summary of the problem that SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization.

      • detail string

        a human-readable explanation specific to this occurrence of the problem. Like title, this field’s value can be localized.

      • source object

        An object containing references to the source of the error.

        Hide source attributes Show source attributes object
        • pointer string

          A JSON Pointer [RFC6901] to the associated entity in the request document [e.g. "/data" for a primary data object, or "/data/attributes/title" for a specific attribute].

        • parameter string

          A string indicating which URI query parameter caused the error.

      • meta object

        a meta object containing non-standard meta-information about the error.

        Additional properties are allowed.

  • 404 application/vnd.api+json

    Resource not found

    Hide response attribute Show response attribute object
    • errors array[object]
      Hide errors attributes Show errors attributes object
      • id string

        A unique identifier for this particular occurrence of the problem.

      • status string

        the HTTP status code applicable to this problem, expressed as a string value.

      • code string

        an application-specific error code, expressed as a string value.

      • title string

        A short, human-readable summary of the problem that SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization.

      • detail string

        a human-readable explanation specific to this occurrence of the problem. Like title, this field’s value can be localized.

      • source object

        An object containing references to the source of the error.

        Hide source attributes Show source attributes object
        • pointer string

          A JSON Pointer [RFC6901] to the associated entity in the request document [e.g. "/data" for a primary data object, or "/data/attributes/title" for a specific attribute].

        • parameter string

          A string indicating which URI query parameter caused the error.

      • meta object

        a meta object containing non-standard meta-information about the error.

        Additional properties are allowed.

  • 406 application/vnd.api+json

    The specified accept header is invalid

    Hide response attribute Show response attribute object
    • errors array[object]
      Hide errors attributes Show errors attributes object
      • id string

        A unique identifier for this particular occurrence of the problem.

      • status string

        the HTTP status code applicable to this problem, expressed as a string value.

      • code string

        an application-specific error code, expressed as a string value.

      • title string

        A short, human-readable summary of the problem that SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization.

      • detail string

        a human-readable explanation specific to this occurrence of the problem. Like title, this field’s value can be localized.

      • source object

        An object containing references to the source of the error.

        Hide source attributes Show source attributes object
        • pointer string

          A JSON Pointer [RFC6901] to the associated entity in the request document [e.g. "/data" for a primary data object, or "/data/attributes/title" for a specific attribute].

        • parameter string

          A string indicating which URI query parameter caused the error.

      • meta object

        a meta object containing non-standard meta-information about the error.

        Additional properties are allowed.

  • 410 application/vnd.api+json

    Resource is gone

    Hide response attribute Show response attribute object
    • errors array[object]
      Hide errors attributes Show errors attributes object
      • id string

        A unique identifier for this particular occurrence of the problem.

      • status string

        the HTTP status code applicable to this problem, expressed as a string value.

      • code string

        an application-specific error code, expressed as a string value.

      • title string

        A short, human-readable summary of the problem that SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization.

      • detail string

        a human-readable explanation specific to this occurrence of the problem. Like title, this field’s value can be localized.

      • source object

        An object containing references to the source of the error.

        Hide source attributes Show source attributes object
        • pointer string

          A JSON Pointer [RFC6901] to the associated entity in the request document [e.g. "/data" for a primary data object, or "/data/attributes/title" for a specific attribute].

        • parameter string

          A string indicating which URI query parameter caused the error.

      • meta object

        a meta object containing non-standard meta-information about the error.

        Additional properties are allowed.

  • 500 application/vnd.api+json

    Internal server error

    Hide response attribute Show response attribute object
    • errors array[object]
      Hide errors attributes Show errors attributes object
      • id string

        A unique identifier for this particular occurrence of the problem.

      • status string

        the HTTP status code applicable to this problem, expressed as a string value.

      • code string

        an application-specific error code, expressed as a string value.

      • title string

        A short, human-readable summary of the problem that SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization.

      • detail string

        a human-readable explanation specific to this occurrence of the problem. Like title, this field’s value can be localized.

      • source object

        An object containing references to the source of the error.

        Hide source attributes Show source attributes object
        • pointer string

          A JSON Pointer [RFC6901] to the associated entity in the request document [e.g. "/data" for a primary data object, or "/data/attributes/title" for a specific attribute].

        • parameter string

          A string indicating which URI query parameter caused the error.

      • meta object

        a meta object containing non-standard meta-information about the error.

        Additional properties are allowed.

  • 502 application/vnd.api+json

    Error occurred while communicating with PACE services

    Hide response attribute Show response attribute object
    • errors array[object]
      Hide errors attributes Show errors attributes object
      • id string

        A unique identifier for this particular occurrence of the problem.

      • status string

        the HTTP status code applicable to this problem, expressed as a string value.

      • code string

        an application-specific error code, expressed as a string value.

      • title string

        A short, human-readable summary of the problem that SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization.

      • detail string

        a human-readable explanation specific to this occurrence of the problem. Like title, this field’s value can be localized.

      • source object

        An object containing references to the source of the error.

        Hide source attributes Show source attributes object
        • pointer string

          A JSON Pointer [RFC6901] to the associated entity in the request document [e.g. "/data" for a primary data object, or "/data/attributes/title" for a specific attribute].

        • parameter string

          A string indicating which URI query parameter caused the error.

      • meta object

        a meta object containing non-standard meta-information about the error.

        Additional properties are allowed.

GET /gas-stations/{gasStationId}/pumps
curl \
 --request GET 'https://api.pace.cloud/fueling/2024-3/gas-stations/583ad807-6a08-4d5a-b3f6-8861b0e355df/pumps' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "data": {
    "type": "getPumps",
    "id": "c3f037ea-492e-4033-9b4b-4efc7beca16c",
    "relationships": {
      "pumps": {
        "data": [
          {
            "type": "pump",
            "id": "a166d498-a8d6-49f0-83ef-50a42dcf7748"
          }
        ]
      }
    }
  },
  "included": [
    {
      "type": "pump",
      "id": "a166d498-a8d6-49f0-83ef-50a42dcf7748",
      "attributes": {
        "identifier": "2",
        "fuelingProcess": "postPay",
        "status": "free",
        "fuelType": "ron95e10",
        "productName": "Super E10",
        "fuelAmount": 44.3,
        "pricePerUnit": 1.359,
        "unit": "liter",
        "VAT": {
          "amount": 9.72,
          "rate": 0.19
        },
        "purposePRNs": [
          "prn:poi:gas-stations:93db55b6-a9ab-4597-a253-49a1718cea0a",
          "prn:cms:fuels:ron95e5"
        ],
        "priceWithoutVAT": 51.37,
        "priceIncludingVAT": 61.09,
        "currency": "EUR",
        "transactionId": "e809fcfc-5fdd-4fba-9d3c-2b56c22d643c",
        "transaction": {
          "type": "transaction",
          "id": "88b40caf-9add-47fc-a2f6-388de89a2b3a",
          "attributes": {
            "status": "announced",
            "authorizedAmount": 70,
            "PumpUUID": "44b3812b-c03b-414f-8b6b-1a80fcbdc28c",
            "VAT": {
              "amount": 11.07,
              "rate": 0.19
            },
            "priceWithoutVAT": 58.27,
            "priceIncludingVAT": 69.34,
            "currency": "EUR",
            "pricePerUnit": 1.309,
            "unit": "liter",
            "fuelType": "ron95e5",
            "fuelAmount": 52.97,
            "productName": "Super E5",
            "paymentToken": "12c52345c1x34",
            "paymentTokenRestrictions": [
              "prn:cms:fuels:diesel",
              "prn:poi:gas-stations:93db55b6-a9ab-4597-a253-49a1718cea0a"
            ]
          }
        },
        "availableProducts": [
          {
            "type": "ron95e5",
            "name": "Euro 95"
          }
        ]
      }
    }
  ]
}
Response examples (401)
{
  "errors": [
    {
      "id": "string",
      "links": {
        "about": "string"
      },
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "source": {
        "pointer": "string",
        "parameter": "string"
      },
      "meta": {}
    }
  ]
}
Response examples (403)
{
  "errors": [
    {
      "id": "string",
      "links": {
        "about": "string"
      },
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "source": {
        "pointer": "string",
        "parameter": "string"
      },
      "meta": {}
    }
  ]
}
Response examples (404)
{
  "errors": [
    {
      "id": "string",
      "links": {
        "about": "string"
      },
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "source": {
        "pointer": "string",
        "parameter": "string"
      },
      "meta": {}
    }
  ]
}
Response examples (406)
{
  "errors": [
    {
      "id": "string",
      "links": {
        "about": "string"
      },
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "source": {
        "pointer": "string",
        "parameter": "string"
      },
      "meta": {}
    }
  ]
}
Response examples (410)
{
  "errors": [
    {
      "id": "string",
      "links": {
        "about": "string"
      },
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "source": {
        "pointer": "string",
        "parameter": "string"
      },
      "meta": {}
    }
  ]
}
Response examples (500)
{
  "errors": [
    {
      "id": "string",
      "links": {
        "about": "string"
      },
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "source": {
        "pointer": "string",
        "parameter": "string"
      },
      "meta": {}
    }
  ]
}
Response examples (502)
{
  "errors": [
    {
      "id": "string",
      "links": {
        "about": "string"
      },
      "status": "string",
      "code": "string",
      "title": "string",
      "detail": "string",
      "source": {
        "pointer": "string",
        "parameter": "string"
      },
      "meta": {}
    }
  ]
}